Package org.eclipse.graphiti.ui.internal.policy

# Class DefaultDirectEditPolicy

java.lang.Object
org.eclipse.gef.editpolicies.AbstractEditPolicy
org.eclipse.gef.editpolicies.GraphicalEditPolicy
org.eclipse.gef.editpolicies.DirectEditPolicy
org.eclipse.graphiti.ui.internal.policy.DefaultDirectEditPolicy

All Implemented Interfaces:
  `org.eclipse.gef.EditPolicy`, `org.eclipse.gef.RequestConstants`

public class DefaultDirectEditPolicy extends org.eclipse.gef.editpolicies.DirectEditPolicy
An EditPolicy to handle direct-editing of EditParts. Typically not the complete EditPart shall be edited directly, but only one control of it (e.g. one Label). For this control an appropiate CellEditor would usually be shown.

See Also:
  - `IEditPolicyFactory.createDirectEditPolicy()`

## Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`DefaultDirectEditPolicy(IConfigurationProviderInternal configurationProvider)`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.gef.commands.Command`
`getDirectEditCommand(org.eclipse.gef.requests.DirectEditRequest request)`
Is called, when the (already opened) cell-editor was closed (but not canceled).
`protected void`
`showCurrentEditValue(org.eclipse.gef.requests.DirectEditRequest request)`
Is called on every change in the cell-editor.
`protected void`
`showDirectEditFeedback(org.eclipse.gef.requests.DirectEditRequest request)`

### Methods inherited from class org.eclipse.gef.editpolicies.DirectEditPolicy

`eraseDirectEditFeedback, eraseSourceFeedback, getCommand, revertOldEditValue, showSourceFeedback, storeOldEditValue, understandsRequest`

### Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy

`addFeedback, getFeedbackLayer, getHost, getHostFigure, getLayer, removeFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`activate, deactivate, debugFeedback, eraseTargetFeedback, getTargetEditPart, setHost, showTargetFeedback, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DefaultDirectEditPolicy

public DefaultDirectEditPolicy(IConfigurationProviderInternal configurationProvider)

## Method Details

### getDirectEditCommand

protected org.eclipse.gef.commands.Command getDirectEditCommand(org.eclipse.gef.requests.DirectEditRequest request)
Is called, when the (already opened) cell-editor was closed (but not canceled).

Specified by:
  `getDirectEditCommand` in class `org.eclipse.gef.editpolicies.DirectEditPolicy`
See Also:
  - `DirectEditPolicy.getDirectEditCommand(org.eclipse.gef.requests.DirectEditRequest)`

### showCurrentEditValue

protected void showCurrentEditValue(org.eclipse.gef.requests.DirectEditRequest request)
Is called on every change in the cell-editor. For example on every key-press in a TextCellEditor. It then updates the Label, which the cell-editor edits. Note that this means, that the Label shows the new value, before it is committed to the underlying model. However, this can be useful, e.g. to adjust the layout of the editpart while changing the value in the cell-editor.

Specified by:
  `showCurrentEditValue` in class `org.eclipse.gef.editpolicies.DirectEditPolicy`
See Also:
  - `DirectEditPolicy.showCurrentEditValue(org.eclipse.gef.requests.DirectEditRequest)`

### showDirectEditFeedback

protected void showDirectEditFeedback(org.eclipse.gef.requests.DirectEditRequest request)

Overrides:
  `showDirectEditFeedback` in class `org.eclipse.gef.editpolicies.DirectEditPolicy`